#! /bin/sh

# First check where the cdox.jar file remains
if(test -e /usr/share/java/cdox.jar) then
  export CLASSPATH=$CLASSPATH:/usr/share/java/cdox.jar
  echo "Using /usr/share/java/cdox.jar."
  export cdoxdir=/usr/share/java/
else
  if(test -e /usr/share/cdox/cdox.jar) then
    export CLASSPATH=$CLASSPATH:/usr/share/cdox/cdox.jar
    echo "Using /usr/share/cdox/cdox.jar."
    export cdoxdir=/usr/share/cdox/
  else
    if(test -e ./cdox.jar) then
      export CLASSPATH=$CLASSPATH:./cdox.jar
      echo "Using ./cdox.jar."
    else
      echo "Could not find the cdox.jar, bad installation?"
      exit 1
    fi
  fi
fi

# Classpath checking (eg. plugins)
if(test -d /usr/share/cdox/plugins/) then
  export CLASSPATH=$CLASSPATH:/usr/share/cdox/plugins/
  echo "Added /usr/share/cdox/plugins/ to the classpath."
  export pluginsdir="/usr/share/cdox/plugins/";
fi
if(test -d ./plugins/) then
  export CLASSPATH=$CLASSPATH:./plugins
  echo "Added ./plugins/ to the classpath."
fi
if(test -e /usr/share/java/yahil.jar) then
  export CLASSPATH=$CLASSPATH:/usr/share/java/yahil.jar
  echo "Added /usr/share/java/yahil.jar to the classpath."
fi
if(test -e /usr/share/cdox/yahil.jar) then
  export CLASSPATH=$CLASSPATH:/usr/share/cdox/yahil.jar
  echo "Added /usr/share/cdox/yahil.jar to the classpath."
fi

# Then check for the JAVA_HOME. If it is set, it should be allright.
if( ! test $JAVA_HOME) then
  export jdkdirs="/usr/lib/j2* /usr/java/*";
  echo Checking $jdkdirs
  for jdir in $jdkdirs
  do
    if(test -d $jdir) then
      if(test -x $jdir/bin/java) then
        echo Using $jdir
        export JAVA_HOME=$jdir
      fi
    fi
  done
fi

# Exit, if the JAVA_HOME/bin/java binary does not exist.
if(! test -x $JAVA_HOME/bin/java) then
  echo "Cannot execute $JAVA_HOME/bin/java!"
  exit 1;
fi

# finally: the command line. Would only work with Sun-like 1.4 implementations
# (is there another already?)
export args=$*;
if(test $cdoxdir) then
  export args="-dir $cdoxdir $args";
fi
if(test $pluginsdir) then
  export args="-plugins $pluginsdir $args";
fi

$JAVA_HOME/bin/java cdox.CDox $args
